Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Mehrere Probleme in Nettle
Aktuelle Meldungen Distributionen
Name: Mehrere Probleme in Nettle
ID: USN-2897-1
Distribution: Ubuntu
Plattformen: Ubuntu 14.04 LTS, Ubuntu 15.10
Datum: Mo, 15. Februar 2016, 22:59
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8803
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8804
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-8805

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--===============6308862356573602160==
Content-Type: multipart/signed; micalg=pgp-sha512;
protocol="application/pgp-signature";
boundary="k8RN4f4bRMceoFlM0hHOBNlC2J0V8EQAD"

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--k8RN4f4bRMceoFlM0hHOBNlC2J0V8EQAD
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

==========================================================================
Ubuntu Security Notice USN-2897-1
February 15, 2016

nettle vulnerabilities
==========================================================================

A security issue affects these releases of Ubuntu and its derivatives:

- Ubuntu 15.10
- Ubuntu 14.04 LTS

Summary:

Several security issues were fixed in Nettle.

Software Description:
- nettle: low level cryptographic library (public-key cryptos)

Details:

Hanno Böck discovered that Nettle incorrectly handled carry propagation in
the NIST P-256 elliptic curve. (CVE-2015-8803)

Hanno Böck discovered that Nettle incorrectly handled carry propagation in
the NIST P-384 elliptic curve. (CVE-2015-8804)

Niels Moeller discovered that Nettle incorrectly handled carry propagation
in the NIST P-256 elliptic curve. (CVE-2015-8805)

Update instructions:

The problem can be corrected by updating your system to the following
package versions:

Ubuntu 15.10:
libnettle6 3.1.1-4ubuntu0.1

Ubuntu 14.04 LTS:
libnettle4 2.7.1-1ubuntu0.1

In general, a standard system update will make all the necessary changes.

References:
http://www.ubuntu.com/usn/usn-2897-1
CVE-2015-8803, CVE-2015-8804, CVE-2015-8805

Package Information:
https://launchpad.net/ubuntu/+source/nettle/3.1.1-4ubuntu0.1
https://launchpad.net/ubuntu/+source/nettle/2.7.1-1ubuntu0.1



--k8RN4f4bRMceoFlM0hHOBNlC2J0V8EQAD
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCgAGBQJWwiarAAoJEGVp2FWnRL6T6FQP/0MWQg/cKOQaxCtRho66pCZ7
g1jTsU2yNHl0iGuBrudIQXZ4BoK9LF3eKLyI+JWyUAWihi5Y6PIanallfm8JE8dR
L/XmIuIZQkKAJn931kCW9ZqzdGk+Uem94l4R6TCcFYKRlCcfkonrxnRzrrDWQ+h8
hh3MFjPPWShkfpeD120W8Q3akS/FUIOAhWzsM/DrQOUZU+XRElhq2Zg9qAs6tjGn
s4SIR8dlgokpUas1Th+TZMMJR2tdKRwpcBdzFe9c2ZKoPMDd31H+ks/bc3YjRV+G
19zUutnVnGPM/YQSL5m4hy4uTwavKq1PzPpHc5kyWfCPCVkY7FHQjxoqyMqX09cr
E86KPVq9q2Z2dIIPAGwWCFhgiu67OXAXsTDIbYZqqsAQ9LrjDjMp0NA8JeAyuA62
apZ/GZoNcC0Q97JRZ6eBL1xRjfL94ylIPUBjXX7ATyrbC5PHv2M15cMDjoH1yuUp
ZYADxRxy5VJWoEooxiSMXQR3i13Sk56LoJ7F5woKb4wSK+5iBUgHkE6DCR5C0Q0T
rzu44bdtO2ZE9HTtAo3GHykxox/COrcgVcqRfhwosYx2CidfmYh9FoxthbL2Vc4M
ghjNCn95Ua+iiYOOG5YDPWY8AKRIX6HqelDx+Oc4DIBQYDe2FqEWgZQwQJ8HAmOx
9KEzDUJarK/dmDrsXjxT
=1dD7
-----END PGP SIGNATURE-----

--k8RN4f4bRMceoFlM0hHOBNlC2J0V8EQAD--


--===============6308862356573602160==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

--
ubuntu-security-announce mailing list
ubuntu-security-announce@lists.ubuntu.com
Modify settings or unsubscribe at: https://lists.ubuntu.com/mailman/listinfo/ubuntu-security-announce

--===============6308862356573602160==--
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung